/*
	File:		CounterTest.cp

	Contains:	Sample code to accompany Chapter 12 of 
				"An Introduction to Macintosh Programming for Windows Programmers".
				
	Written by:	Worldwide Developer Technical Support

	Copyright:	1999 Apple Computer, Inc., All Rights Reserved

  	You may incorporate this sample code into your applications without
  	restriction, though the sample code has been provided "AS IS" and the
  	responsibility for its operation is 100% yours.  However, what you are
  	not permitted to do is to redistribute the source as "DSC Sample Code"
  	after having made changes. If you're going to re-distribute the source,
 	we require that you make it clear in the source that the code was
    descended from Apple Sample Code, but that you've made changes.
    
*/
#include <iostream>
#include "CCounter.h"

using namespace std;  //introduces namespace std

//==========================================================
int main()
{	
	cout << "Using the console to test CCounter" << endl << endl;
	CCounter ctr;
	ctr.SetValue(999);
	cout << ctr.GetValue() << endl;
	ctr.Increment();
	ctr.Increment();
	ctr.Increment();
	cout << ctr.GetValue() << endl;
	ctr.Decrement();
	ctr.Decrement();
	cout << ctr.GetValue() << endl;
	return 0;
}

